%global pypi_name wsgi_intercept

Summary:        wsgi_intercept installs a WSGI application in place of a real URI for testing
Name:           python-%{pypi_name}
Version:        1.11.0
Release:        5%{?dist}
License:        MIT
URL:            https://github.com/cdent/wsgi-intercept
Source0:        %{url}/archive/refs/tags/v%{version}.tar.gz

BuildArch:      noarch

%description
It installs a WSGI application in place of a real URI for testing.  Testing a WSGI application
normally involves starting a server at a local host and port, then pointing your test code to that
address.  Instead,this library lets you intercept calls to any specific host/port combination and
redirect them into a `WSGI application`_ importable by your test program.

%package -n python3-%{pypi_name}
Summary:        wsgi_intercept installs a WSGI application in place of a real URI for testing
BuildRequires: python3-devel python3-setuptools python3-pytest python3-httplib2 python3-requests
BuildRequires: python3-sphinx_rtd_theme python3-sphinx
Requires:       python3-setuptools

%description -n python3-%{pypi_name}
It installs a WSGI application in place of a real URI for testing.  Testing a WSGI application
normally involves starting a server at a local host and port, then pointing your test code to that
address.  Instead,this library lets you intercept calls to any specific host/port combination and
redirect them into a `WSGI application`_ importable by your test program.

%prep
%autosetup -n wsgi-intercept-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

export PYTHONPATH="$( pwd ):$PYTHONPATH"
sphinx-build docs html
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README html
%{python3_sitelib}/%{pypi_name}*
%exclude %{python3_sitelib}/test

%changelog
* Sat Oct 7 2023 Shuo Wang <abushwang@tencent.com> - 1.11.0-5
- fix build fail

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.11.0-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.11.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.11.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Mon Apr 17 2023 Shuo Wang <abushwang@tencent.com> - 1.11.0-1
- initial build
